petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetOverlap

Sets the size of the per-processor overlap.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetOverlap(DM da,PetscInt x,PetscInt y,PetscInt z)

Not collective

### Input Parameters

| da | - The DMDA
| x | - Overlap in the x direction
| y | - Overlap in the y direction
| z | - Overlap in the z direction

### Keywords

distributed array, overlap, domain decomposition

### See Also

DMDACreateDomainDecomposition(), DMDAGetOverlap(), DMDA

### Level

intermediate

### Location

src/dm/impls/da/da.c

### Examples

src/dm/examples/tutorials/ex19.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages